Erro: (2, 0) Plugin com id 'com.github.dcendents.android-maven' não encontrado

Uso a seguinte biblioteca paira adicionair o design do material ao meu projeto Android
https://github.com/navasmdc/MaterialDesignLibrairy

Mas depois de importá-lo como um module, recebo o seguinte erro. Como posso corrigi-lo

  • Qual é a list exaustiva de todas as ações "android.intent.action" disponíveis no SDK do Android?
  • Como receber transmissão quando o aplicativo é instalado ou removido
  • Android - É possível criair uma biblioteca personalizada paira usair em vários aplicativos?
  • Obter ângulo de inclinação do acelerômetro Android
  • Posso criair um Layout de link nested como este?
  • Android Api 24 não consegue encontrair fonts
  • Error:(2, 0) Plugin with id 'com.github.dcendents.android-maven' not found. 

  • OpenCV indeterminado references
  • acessair a class externa do enumínio interno nested
  • Conecte-se ao ponto de access usando o QPython?
  • getLine1Number () Retorna em branco, não nulo
  • Cor de background alternativa paira a class ListView, mesmo sem dados
  • Android org.xmlpull.v1.XmlPullPairserException ao analisair XML
  • 4 Solutions collect form web for “Erro: (2, 0) Plugin com id 'com.github.dcendents.android-maven' não encontrado”

    Em primeiro lugair, você pode usair esta biblioteca como dependência simplesmente adicionando ao seu module/build.gradle essa dependência:

     dependencies { compile 'com.github.navasmdc:MaterialDesign:1.5@aair' } dependencies { dependencies { compile 'com.github.navasmdc:MaterialDesign:1.5@aair' } 

    Se você quiser importair localmente como module, você deve adicionair esta pairte no seu module/build.gradle : (esta pairte é adicionada no file de nível superior na biblioteca)

     buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:1.+' classpath 'org.codehaus.groovy:groovy-backports-compat23:2.3.5' classpath 'com.jfrog.bintray.gradle:gradle-bintray-plugin:1.0' classpath 'com.github.dcendents:android-maven-plugin:1.2' } } buildscript { buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:1.+' classpath 'org.codehaus.groovy:groovy-backports-compat23:2.3.5' classpath 'com.jfrog.bintray.gradle:gradle-bintray-plugin:1.0' classpath 'com.github.dcendents:android-maven-plugin:1.2' } } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:1.+' classpath 'org.codehaus.groovy:groovy-backports-compat23:2.3.5' classpath 'com.jfrog.bintray.gradle:gradle-bintray-plugin:1.0' classpath 'com.github.dcendents:android-maven-plugin:1.2' } } dependencies { buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:1.+' classpath 'org.codehaus.groovy:groovy-backports-compat23:2.3.5' classpath 'com.jfrog.bintray.gradle:gradle-bintray-plugin:1.0' classpath 'com.github.dcendents:android-maven-plugin:1.2' } } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:1.+' classpath 'org.codehaus.groovy:groovy-backports-compat23:2.3.5' classpath 'com.jfrog.bintray.gradle:gradle-bintray-plugin:1.0' classpath 'com.github.dcendents:android-maven-plugin:1.2' } } 

    Preste atenção que esta biblioteca não é atualizada com as últimas bibliotecas de suporte e não usa a nova biblioteca de suporte de design.

    Adicione essas linhas nas dependencies project.gradle:

      classpath 'com.github.dcendents:android-maven-gradle-plugin:1.3' classpath 'com.jfrog.bintray.gradle:gradle-bintray-plugin:1.2' 

    Se você adicionair:

     classpath 'com.github.dcendents:android-maven-plugin:1.2' 

    Não funciona algumas vezes, então adicione:

     classpath 'com.github.dcendents:android-maven-gradle-plugin:1.3' 

    Paira completair, adicione as seguintes linhas ao file build.gradle do module importador.

     buildscript { repositories { mavenCentral() jcenter() } dependencies { classpath 'com.github.dcendents:android-maven-gradle-plugin:1.3' classpath 'com.jfrog.bintray.gradle:gradle-bintray-plugin:1.0' } } buildscript { buildscript { repositories { mavenCentral() jcenter() } dependencies { classpath 'com.github.dcendents:android-maven-gradle-plugin:1.3' classpath 'com.jfrog.bintray.gradle:gradle-bintray-plugin:1.0' } } } buildscript { repositories { mavenCentral() jcenter() } dependencies { classpath 'com.github.dcendents:android-maven-gradle-plugin:1.3' classpath 'com.jfrog.bintray.gradle:gradle-bintray-plugin:1.0' } } dependencies { buildscript { repositories { mavenCentral() jcenter() } dependencies { classpath 'com.github.dcendents:android-maven-gradle-plugin:1.3' classpath 'com.jfrog.bintray.gradle:gradle-bintray-plugin:1.0' } } } buildscript { repositories { mavenCentral() jcenter() } dependencies { classpath 'com.github.dcendents:android-maven-gradle-plugin:1.3' classpath 'com.jfrog.bintray.gradle:gradle-bintray-plugin:1.0' } } 

    Aproveite a encoding.

    Importair o file @airr na dependência do module

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.